> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.runtype.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.runtype.com/_mcp/server.

# Get intake manifest for secret configuration

POST https://api.runtype.com/v1/secrets/intake/manifest
Content-Type: application/json

Reference: https://docs.runtype.com/api-reference/runtype-api/secrets/get-intake-manifest-for-secret-configuration

## Authentication

- `Authorization` header (bearer token, required) — API key or Clerk session token

## Servers

- `https://api.runtype.com` (Production, default)
- `https://api.runtype-staging.com` (Staging)

## Request

### Body (application/json)

This endpoint expects an object.

- `source` (V1SecretsIntakeManifestPostRequestBodyContentApplicationJsonSchemaSource, required)
- `returnUrl` (string, optional)

## Response

### 200

Intake manifest

- `configurationStatus` (enum, required)
  - Allowed values: `configured`, `needs_configuration`, `invalid`
- `items` (list of V1SecretsIntakeManifestPostResponsesContentApplicationJsonSchemaItemsItems, required)
- `pendingConfigurationCount` (integer, required)
- `source` (V1SecretsIntakeManifestPostResponsesContentApplicationJsonSchemaSource, required)
- `title` (string, required)
- `description` (string, optional)
- `handoff` (V1SecretsIntakeManifestPostResponsesContentApplicationJsonSchemaHandoff, optional)
- `returnUrl` (string, optional)

## Errors

### 400 Bad Request Error

Validation error

- `error` (string, required)
- `code` (string, optional) — Stable error code. `insufficient_scope` marks an API key that lacks a scope this request needs.
- `details` (list of V1SecretsIntakeManifestPostResponsesContentApplicationJsonSchemaDetailsItems, optional)
- `requiredScopes` (list of string, optional) — On `insufficient_scope`: every API key scope this request needs.

### 401 Unauthorized Error

Unauthorized

- `error` (string, required)
- `code` (string, optional) — Stable error code. `insufficient_scope` marks an API key that lacks a scope this request needs.
- `details` (list of ErrorDetailsItems, optional)
- `requiredScopes` (list of string, optional) — On `insufficient_scope`: every API key scope this request needs.

### 403 Forbidden Error

Insufficient permissions

- `error` (string, required)
- `code` (string, optional) — Stable error code. `insufficient_scope` marks an API key that lacks a scope this request needs.
- `details` (list of ErrorDetailsItems, optional)
- `requiredScopes` (list of string, optional) — On `insufficient_scope`: every API key scope this request needs.

### 404 Not Found Error

Product not found

- `error` (string, required)
- `code` (string, optional) — Stable error code. `insufficient_scope` marks an API key that lacks a scope this request needs.
- `details` (list of ErrorDetailsItems, optional)
- `requiredScopes` (list of string, optional) — On `insufficient_scope`: every API key scope this request needs.

### 500 Internal Server Error

Internal server error

- `error` (string, required)
- `code` (string, optional) — Stable error code. `insufficient_scope` marks an API key that lacks a scope this request needs.
- `details` (list of ErrorDetailsItems, optional)
- `requiredScopes` (list of string, optional) — On `insufficient_scope`: every API key scope this request needs.

## Types

### V1SecretsIntakeManifestPostRequestBodyContentApplicationJsonSchemaSource

- `type` (enum, required)
  - Allowed values: `manual`, `secret`, `product`
- `description` (string, optional)
- `key` (string, optional)
- `keys` (list of string, optional)
- `productId` (string, optional)

### V1SecretsIntakeManifestPostResponsesContentApplicationJsonSchemaItemsItems

- `itemId` (string, required)
- `secretKey` (string, required)
- `status` (enum, required)
  - Allowed values: `configured`, `needs_configuration`, `invalid`
- `description` (string, optional, nullable)
- `displayName` (string, optional, nullable)
- `docsUrl` (string, optional)
- `helpText` (string, optional)
- `placeholder` (string, optional)
- `required` (boolean, optional, default: true)
- `secretId` (string, optional)
- `version` (integer, optional)

### V1SecretsIntakeManifestPostResponsesContentApplicationJsonSchemaSource

- `type` (enum, required)
  - Allowed values: `manual`, `secret`, `product`
- `description` (string, optional)
- `key` (string, optional)
- `keys` (list of string, optional)
- `productId` (string, optional)

### V1SecretsIntakeManifestPostResponsesContentApplicationJsonSchemaHandoff

- V1SecretsIntakeManifestPostResponsesContentApplicationJsonSchemaHandoff0

### V1SecretsIntakeManifestPostResponsesContentApplicationJsonSchemaDetailsItems

- `message` (string, required)
- `code` (string, optional) — Stable Runtype validation code (e.g. MISSING_REQUIRED_FIELD, INVALID_ENUM).
- `path` (string, optional) — Dotted JSON path to the offending field.
- `suggestion` (string, optional) — Actionable hint (allowed values, accepted range, …).

### ErrorDetailsItems

- `message` (string, required)
- `code` (string, optional) — Stable Runtype validation code (e.g. MISSING_REQUIRED_FIELD, INVALID_ENUM).
- `path` (string, optional) — Dotted JSON path to the offending field.
- `suggestion` (string, optional) — Actionable hint (allowed values, accepted range, …).

### V1SecretsIntakeManifestPostResponsesContentApplicationJsonSchemaHandoff0

- `type` (enum, required)
  - Allowed values: `url`
- `url` (string, required)
- `expiresAt` (string, optional)

## Examples

**Request**

```json
{
  "source": {
    "type": "manual",
    "value": {
      "type": "manual"
    }
  }
}
```

**Response**

```json
{
  "configurationStatus": "configured",
  "items": [
    {
      "itemId": "string",
      "secretKey": "string",
      "status": "configured",
      "description": "string",
      "displayName": "string",
      "docsUrl": "string",
      "helpText": "string",
      "placeholder": "string",
      "required": true,
      "secretId": "string",
      "version": 1
    }
  ],
  "pendingConfigurationCount": 1,
  "source": {
    "type": "manual",
    "description": "string",
    "key": "string",
    "keys": [
      "string"
    ],
    "productId": "string"
  },
  "title": "string",
  "description": "string",
  "handoff": {
    "expiresAt": "string",
    "type": "url",
    "url": "string"
  },
  "returnUrl": "string"
}
```

**SDK Code**

```python
import requests

url = "https://api.runtype.com/v1/secrets/intake/manifest"

payload = { "source": {
        "type": "manual",
        "value": { "type": "manual" }
    } }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.runtype.com/v1/secrets/intake/manifest';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"source":{"type":"manual","value":{"type":"manual"}}}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.runtype.com/v1/secrets/intake/manifest"

	payload := strings.NewReader("{\n  \"source\": {\n    \"type\": \"manual\",\n    \"value\": {\n      \"type\": \"manual\"\n    }\n  }\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.runtype.com/v1/secrets/intake/manifest")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"source\": {\n    \"type\": \"manual\",\n    \"value\": {\n      \"type\": \"manual\"\n    }\n  }\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.runtype.com/v1/secrets/intake/manifest")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"source\": {\n    \"type\": \"manual\",\n    \"value\": {\n      \"type\": \"manual\"\n    }\n  }\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.runtype.com/v1/secrets/intake/manifest', [
  'body' => '{
  "source": {
    "type": "manual",
    "value": {
      "type": "manual"
    }
  }
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.runtype.com/v1/secrets/intake/manifest");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"source\": {\n    \"type\": \"manual\",\n    \"value\": {\n      \"type\": \"manual\"\n    }\n  }\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = ["source": [
    "type": "manual",
    "value": ["type": "manual"]
  ]] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.runtype.com/v1/secrets/intake/manifest")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```